Bug 426608 - Monotone-server installs DB in non standard location
Summary: Monotone-server installs DB in non standard location
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: monotone   
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-22 22:51 UTC by Geert Jansen
Modified: 2007-12-26 23:51 UTC (History)
0 users

Fixed In Version: 0.38-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-23 22:50:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Geert Jansen 2007-12-22 22:51:11 UTC
Description of problem:

The default configuration for monotone-server installs the monotone database in
/var/db/monotone. This is a non-standard location. According to the FHS
[http://www.pathname.com/fhs/pub/fhs-2.3.html], this should be
/var/lib/monotone. The directory /var/db is normally used for naming service
data (nss_db and nscd, my statement not part of the FHS).

Other applications on Fedora such as PostgreSQL, MySQL and RPM all store their
databases in /var/lib/<application>. Monotone-server should be consistent with this.

Version-Release number of selected component (if applicable):

0.37-3.fc8

How reproducible:

Always

Steps to Reproduce:

1. yum -y install monotone-server
2. /sbin/service monotone start

  
Actual results:

Database created in /var/db/monotone

Expected results:

Database created in /var/lib/monotone

Comment 1 Fedora Update System 2007-12-23 22:50:28 UTC
monotone-0.38-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2007-12-23 22:51:14 UTC
monotone-0.38-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-12-26 23:51:05 UTC
monotone-0.38-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2007-12-26 23:51:22 UTC
monotone-0.38-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.